0

I am using TexLive 2015 on OS X.

tlmgr info latex reports that I have the latest latex version 2015-08-03

    $> tlmgr info latex
    package:     latex
    category:    Package
    shortdesc:   A TeX macro package that defines LaTeX
    longdesc:    LaTeX is a widely-used macro package for TeX, providing many basic document formating commands extended by a wide range of packages. It is a development of Leslie Lamport's LaTeX 2.09, and superseded the older system in June 1994. The basic distribution is catalogued separately, at latex-base; apart from a large set of contributed packages and third-party documentation (elsewhere on the archive), the distribution includes: - a bunch of required packages, which LaTeX authors are "entitled to assume" will be present on any system running LaTeX; and - a minimal set of documentation detailing differences from the 'old' version of LaTeX in the areas of user commands, font selection and control, class and package writing, font encodings, configuration options and modification of LaTeX. For downloading details, see the linked catalogue entries above.
    installed:   Yes
    revision:    38732
    sizes:       src: 2909k, doc: 14809k, run: 2793k
    relocatable: No
    cat-date:    2015-08-03 05:43:12 +0200
    cat-license: lppl1.3
    cat-topics:  format
    collection:  collection-latex

But when I use lualatex against a document, the reported LaTeX version is 2015/01/01

    $> lualatex examples/amiri-sample.tex
    This is LuaTeX, Version beta-0.80.1 (TeX Live 2015) (rev 5253)
     restricted \write18 enabled.
    (./examples/amiri-sample.tex
    LaTeX2e <2015/01/01>
    Babel <3.9l> and hyphenation patterns for 79 languages loaded.
    (/usr/local/texlive/2015/texmf-dist/tex/latex/base/article.cls
    Document Class: article 2014/09/29 v1.4h Standard LaTeX document class
    (/usr/local/texlive/2015/texmf-dist/tex/latex/base/size10.clo)) (./harfbuzz.sty
    …

What could be the reasons for this discrepancy.

| improve this question | | | | |
  • The newest latex kernel is from later this year. You should do a full update. – Johannes_B Dec 12 '15 at 14:11
  • By the way, tlmgr gives me the very same cat-date on my up-to-date machine. – Johannes_B Dec 12 '15 at 14:12
  • @Johannes_B What you do you mean by a ‘full update’? I did sudo tlmgr update --all – vyom Dec 12 '15 at 14:13
  • Is it possible, that you have different texmf trees on your machine? Your luatex is newer than mine, but LaTeX is older (and should be updated after running tlmgr update --all) – Johannes_B Dec 12 '15 at 14:16
  • 1
    Most likely you've made your own format that's over-riding the system one, although occassionally the latter fails to build. Run sudo fmtutil-sys --byengine luatex from the Terminal and remove ~/Library/texlive/2015/texmf-var if it exists, and see if that helps. Also, check the output of kpsewhich latex.ltx (should point to /usr/local/texlive/2015/texmf-dist/tex/latex/base/latex.ltx). – Joseph Wright Dec 12 '15 at 14:25
2

As pointed out by @JosephWright in the comments, I solved the problem by doing:

  • rm -rf ~/Library/texlive/2015/texmf-var
  • sudo fmtutil-sys --byengine luatex
| improve this answer | | | | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.